Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode Class Reference

`#include <IMaterial.h>`

## Public Member Functions
| NetworkNode ()
| NetworkNode (Abc::ICompoundProperty iCompound)
| NetworkNode (Abc::ICompoundProperty iParent, const std::string &iNodeName)
bool | valid ()
std::string | getName ()
bool | getTarget (std::string &oResult)
bool | getNodeType (std::string &oResult)
Abc::ICompoundProperty | getParameters ()
size_t | getNumConnections ()
bool | getConnection (size_t iIndex, std::string &oInputName, std::string &oConnectedNodeName, std::string &oConnectedOutputName)
bool | getConnection (const std::string &iInputName, std::string &oConnectedNodeName, std::string &oConnectedOutputName)

## Detailed Description

Definition at line 130 of file IMaterial.h.

## Constructor & Destructor Documentation

## ◆ NetworkNode() [1/3]

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::NetworkNode | ( |  | ) |

## ◆ NetworkNode() [2/3]

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::NetworkNode | ( | Abc::ICompoundProperty | iCompound | ) |

## ◆ NetworkNode() [3/3]

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::NetworkNode | ( | Abc::ICompoundProperty | iParent,
|  | const std::string & | iNodeName )

## Member Function Documentation

## ◆ getConnection() [1/2]

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getConnection | ( | const std::string & | iInputName,
|  | std::string & | oConnectedNodeName,
|  | std::string & | oConnectedOutputName )

## ◆ getConnection() [2/2]

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getConnection | ( | size_t | iIndex,
|  | std::string & | oInputName,
|  | std::string & | oConnectedNodeName,
|  | std::string & | oConnectedOutputName )

## ◆ getName()

std::string Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getName | ( |  | ) |

## ◆ getNodeType()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getNodeType | ( | std::string & | oResult | ) |

## ◆ getNumConnections()

size_t Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getNumConnections | ( |  | ) |

## ◆ getParameters()

Abc::ICompoundProperty Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getParameters | ( |  | ) |

## ◆ getTarget()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::getTarget | ( | std::string & | oResult | ) |

## ◆ valid()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::NetworkNode::valid | ( |  | ) |

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcMaterial/IMaterial.h